Upload CVE .pa archive
POST
/cve/uploadSaves a CVE .pa archive and starts importing it in the background. Progress and the final result are available at /cve/import-progress/{id}.
Contract
Parameter | Value |
|---|---|
| Section | cve |
| Authentication | CookieAuth |
| Consumes | multipart/form-data |
| Produces | application/json |
Parameters
2 parameters
Name | Location | Required | Type | Description |
|---|---|---|---|---|
| file | formData | yes | file | .pa archive to import |
| X-CVE-Import-ID | header | no | string | Import tracking identifier |
{}
Responses
5 responses
Status | Description | Type |
|---|---|---|
202 | Import accepted and running in the background | object |
400 | No file provided | object |
401 | Unauthorized | object |
409 | Another CVE import is already in progress | object |
500 | Failed to save archive | object |
{ "error": "<string>", "fileName": "<string>", "id": "<string>", "pack": { "builtAt": "<string>", "createdAt": "<string>", "cvesDeleted": 0, "cvesImported": 0, "cvesSkipped": 0, "cvesTotal": 0, "cvesUpdated": 0, "fileName": "<string>", "id": 0, "issuerID": 0, "name": "<string>", "size": 0, "version": "<string>" }, "processed": 0, "progress": 0, "stage": "<string>", "startedAt": "<string>", "status": "<string>", "total": 0, "updatedAt": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }{ "data": {}, "error": "<string>" }